# Interface ServerContainer

All Superinterfaces:
  `WebSocketContainer`

public interface ServerContainer extends WebSocketContainer
Provides the ability to deploy endpoints programmatically.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addEndpoint(Class<?> clazz)`
  `void`
  `addEndpoint(ServerEndpointConfig sec)`

  ### Methods inherited from interface WebSocketContainer

  `connectToServer, connectToServer, connectToServer, connectToServer, getDefaultAsyncSendTimeout, getDefaultMaxBinaryMessageBufferSize, getDefaultMaxSessionIdleTimeout, getDefaultMaxTextMessageBufferSize, getInstalledExtensions, setAsyncSendTimeout, setDefaultMaxBinaryMessageBufferSize, setDefaultMaxSessionIdleTimeout, setDefaultMaxTextMessageBufferSize`

- ## Method Details

  - ### addEndpoint

    void addEndpoint(Class<?> clazz) throws DeploymentException
    Throws:
      `DeploymentException`

  - ### addEndpoint

    void addEndpoint(ServerEndpointConfig sec) throws DeploymentException
    Throws:
      `DeploymentException`